Bug 330094 - templates don't work with %signature
Summary: templates don't work with %signature
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: 4.12
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 18:48 UTC by Henrik Hudson
Modified: 2017-01-07 22:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Hudson 2014-01-17 18:48:44 UTC
Arch Linux 64 with KDE 4.12.1
Similar to bug 324229 (comment at the bottom for this issue)

Starting with KDE 4.12 if you use %SIGNATURE in the templates for Reply / Reply-All the signature will be inserted, but the email will be empty otherwise. Also, it gets stuck in "Rich Text" mode.

The "signature" is defined in my default identity as "use field below" and is "plain text". I have a divider in it. My sig field is:

henrik
--
Full Name
Company
Email
Phone

If I use the "automatically insert signature" option it does insert it, but the cursor is always at the end of the signature vs. at the start of the email.

Reproducible: Always

Steps to Reproduce:
1. Set a plain text signature in your identity.
2. enable the %SIGNATURE option in the standard templates.
3. reply or reply-all to an email.
Actual Results:  
Clears the email.

Expected Results:  
%CURSOR would work, insert the signature and include the original body of the email.
Comment 1 Henrik Hudson 2014-01-17 18:50:03 UTC
Also, the composer should honor the "plain text" settings and not jump to "rich text" or HTML mode.
Comment 2 Denis Kurz 2016-09-24 17:52:58 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 3 Denis Kurz 2017-01-07 22:30:04 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.